<?php

/*
Plugin Name: Builder Style Manager - BETA
Plugin URI: http://ithemes.com/
Description: Provides basic style management for Builder
Version: 0.5.10
Author: Chris Jean
Author URI: http://ithemes.com/
*/


if ( 'builder' != strtolower( get_template() ) ) {
	function it_builder_style_manager_invalid_theme_notice() {
		echo "<div class='error'><p>The Builder Style Manager plugin requires that Builder or a Builder child theme is active in order for it to function.</p></div>";
	}
	add_action( 'admin_notices', 'it_builder_style_manager_invalid_theme_notice' );
	
	return;
}

require_once( dirname( __FILE__ ) . '/lib/classes/load.php' );


function it_builder_style_manager_init() {
	if ( is_admin() )
		require_once( dirname( __FILE__ ) . '/editor.php' );
	else
		require_once( dirname( __FILE__ ) . '/public.php' );
}
add_action( 'it_libraries_loaded', 'it_builder_style_manager_init' );
